<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.hssf.eventusermodel.HSSFListener (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.hssf.eventusermodel.HSSFListener (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
               title="interface in org.apache.poi.hssf.eventusermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/eventusermodel/class-use/HSSFListener.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFListener.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.hssf.eventusermodel.HSSFListener" class="title">Uses of Interface<br>org.apache.poi.hssf.eventusermodel.HSSFListener
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                        title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.eventusermodel">org.apache.poi.hssf.eventusermodel</a>
                    </td>
                    <td class="colLast">
                        <div class="block">HSSF eventmodel Package provides an event-based API for reading HSSF files.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.eventusermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                   title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a> in <a
                            href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/AbortableHSSFListener.html"
                                    title="class in org.apache.poi.hssf.eventusermodel">AbortableHSSFListener</a></span></code>
                                <div class="block">Abstract class for use with the HSSFRequest and HSSFEventFactory,
                                    which
                                    allows for the halting of processing.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html"
                                    title="class in org.apache.poi.hssf.eventusermodel">EventWorkbookBuilder.SheetRecordCollectingListener</a></span></code>
                                <div class="block">A wrapping HSSFListener which will collect
                                    <a href="../../../../../../org/apache/poi/hssf/record/BoundSheetRecord.html"
                                       title="class in org.apache.poi.hssf.record"><code>BoundSheetRecord</code></a>s
                                    and <a href="../../../../../../org/apache/poi/hssf/record/ExternSheetRecord.html"
                                           title="class in org.apache.poi.hssf.record"><code>ExternSheetRecord</code></a>s
                                    as
                                    they go past, so you can create a Stub <a
                                            href="../../../../../../org/apache/poi/hssf/model/InternalWorkbook.html"
                                            title="class in org.apache.poi.hssf.model"><code>InternalWorkbook</code></a>
                                    from
                                    them once required.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html"
                                    title="class in org.apache.poi.hssf.eventusermodel">FormatTrackingHSSFListener</a></span></code>
                                <div class="block">A proxy HSSFListener that keeps track of the document formatting
                                    records, and
                                    provides an easy way to look up the format strings used by cells from their
                                    ids.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/MissingRecordAwareHSSFListener.html"
                                    title="class in org.apache.poi.hssf.eventusermodel">MissingRecordAwareHSSFListener</a></span></code>
                                <div class="block">A HSSFListener which tracks rows and columns, and will
                                    trigger your HSSFListener for all rows and cells,
                                    even the ones that aren't actually stored in the file.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRequest.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#addListener-org.apache.poi.hssf.eventusermodel.HSSFListener-short-">addListener</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                    title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;lsnr,
                                short&nbsp;sid)</code>
                                <div class="block">add an event listener for a particular record type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRequest.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFRequest.html#addListenerForAllRecords-org.apache.poi.hssf.eventusermodel.HSSFListener-">addListenerForAllRecords</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                    title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;lsnr)</code>
                                <div class="block">This is the equivalent of calling addListener(myListener, sid) for
                                    EVERY
                                    record in the org.apache.poi.hssf.record package.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/package-summary.html">org.apache.poi.hssf.eventusermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#FormatTrackingHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-">FormatTrackingHSSFListener</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                    title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener)</code>
                                <div class="block">Creates a format tracking wrapper around the given listener, using
                                    the <code>default locale</code> for the formats.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/FormatTrackingHSSFListener.html#FormatTrackingHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-java.util.Locale-">FormatTrackingHSSFListener</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                    title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener,
                                java.util.Locale&nbsp;locale)</code>
                                <div class="block">Creates a format tracking wrapper around the given listener, using
                                    the given locale for the formats.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/MissingRecordAwareHSSFListener.html#MissingRecordAwareHSSFListener-org.apache.poi.hssf.eventusermodel.HSSFListener-">MissingRecordAwareHSSFListener</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                    title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;listener)</code>
                                <div class="block">Constructs a new MissingRecordAwareHSSFListener, which
                                    will fire processRecord on the supplied child
                                    HSSFListener for all Records, and missing records.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/EventWorkbookBuilder.SheetRecordCollectingListener.html#SheetRecordCollectingListener-org.apache.poi.hssf.eventusermodel.HSSFListener-">SheetRecordCollectingListener</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
                                    title="interface in org.apache.poi.hssf.eventusermodel">HSSFListener</a>&nbsp;childListener)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/eventusermodel/HSSFListener.html"
               title="interface in org.apache.poi.hssf.eventusermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/eventusermodel/class-use/HSSFListener.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFListener.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
